<?php

namespace FiloBlu\ExtMagentoWidget\Model\Observer;

class PagePrepareSaveObserver implements \Magento\Framework\Event\ObserverInterface {

    /**
     * Set default values for own fields in CMS Page
     *
     * @param \Magento\Framework\Event\Observer $observer
     * @return void
     */
    public function execute(\Magento\Framework\Event\Observer $observer) {
        $object = $observer->getEvent()->getDataObject();
        $object->setData("customer_group", ($object->getCustomerGroup() ? implode(",", $object->getCustomerGroup()) : null));
    }

}
